libebook::FictionBook2DataContextBase Class Reference documentation

Public Member Functions | Private Member Functions | List of all members
libebook::FictionBook2DataContextBase Class Reference

Base class for leaf data element contexts. More...

`#include <FictionBook2ParserContext.h>`

Inheritance diagram for libebook::FictionBook2DataContextBase:

## Public Member Functions
| FictionBook2DataContextBase (FictionBook2ParserContext *parentContext)
Public Member Functions inherited from libebook::FictionBook2ParserContext
| FictionBook2ParserContext (FictionBook2ParserContext *parentContext, FictionBook2Collector *collector=nullptr)
| Create a new context with `parentContext` as parent. More...
FictionBook2XMLParserContext * | leaveContext () const override
| Destroy this context and return parent. More...
FictionBook2Collector * | getCollector () const
| Get the collector. More...
FictionBook2ParserContext * | getParentContext () const
| Get the parent context. More...
Public Member Functions inherited from libebook::FictionBook2XMLParserContext
virtual | ~FictionBook2XMLParserContext ()=0
virtual FictionBook2XMLParserContext * | leaveContext () const =0
| Destroy this context and return parent. More...
virtual FictionBook2XMLParserContext * | element (const FictionBook2TokenData &name, const FictionBook2TokenData &ns)=0
| Create a context for parsing a child element. More...
virtual void | startOfElement ()=0
| Signalize the start of an element. More...
virtual void | endOfElement ()=0
| Signalize the end of an element. More...
virtual void | attribute (const FictionBook2TokenData &name, const FictionBook2TokenData *ns, const char *value)=0
| Process an attribute. More...
virtual void | endOfAttributes ()=0
| Signalize the end of attributes. More...
virtual void | text (const char *value)=0
| Process textual content of an element. More...

## Private Member Functions
FictionBook2XMLParserContext * | element (const FictionBook2TokenData &name, const FictionBook2TokenData &ns) override
| Create a context for parsing a child element. More...
void | startOfElement () override
| Signalize the start of an element. More...
void | endOfAttributes () override
| Signalize the end of attributes. More...
void | text (const char *value) override
| Process textual content of an element. More...

## Detailed Description

Base class for leaf data element contexts.

It provides empty implementations for functions that are typically not needed for processing leaf data elements (i.e., empty elements that only have attributes).

Note
  The parser inserts an artificial endOfElement() call for empty elements.

## Constructor & Destructor Documentation

## ◆ FictionBook2DataContextBase()

libebook::FictionBook2DataContextBase::FictionBook2DataContextBase | ( | FictionBook2ParserContext * | parentContext | ) |
| explicit

## Member Function Documentation

## ◆ element()

FictionBook2XMLParserContext * libebook::FictionBook2DataContextBase::element | ( | const FictionBook2TokenData & | name,
|  | const FictionBook2TokenData & | ns
| ) |  |
| overrideprivatevirtual

Create a context for parsing a child element.

Returns
  A new context or `0` if the child element cannot be handled.

Implements libebook::FictionBook2XMLParserContext.

## ◆ endOfAttributes()

void libebook::FictionBook2DataContextBase::endOfAttributes | ( |  | ) |
| overrideprivatevirtual

Signalize the end of attributes.

Implements libebook::FictionBook2XMLParserContext.

Reimplemented in libebook::FictionBook2InlineImageContext.

## ◆ startOfElement()

void libebook::FictionBook2DataContextBase::startOfElement | ( |  | ) |
| overrideprivatevirtual

Signalize the start of an element.

This can be used if initialization of the context needs virtual function calls.

Implements libebook::FictionBook2XMLParserContext.

Reimplemented in libebook::FictionBook2InlineImageContext.

## ◆ text()

void libebook::FictionBook2DataContextBase::text | ( | const char * | value | ) |
| overrideprivatevirtual

Process textual content of an element.

This function can be called more than once if the element has mixed content.

Implements libebook::FictionBook2XMLParserContext.

The documentation for this class was generated from the following files:

- FictionBook2ParserContext.h
- FictionBook2ParserContext.cpp